Skip to main content

Cocon Fiber Transactional API (v1)

Download OpenAPI specification:Download

License: Proprietary

The Cocon Fiber Transactional API provides asset management functionality.

Contact

Create a new contact

Authorizations:
Api-Key-HeaderClient-Id-Header
Request Body schema: application/json
required
name
string

Name of the contact. Unallowed characters: ', " and ASCII < 32

customerId
string

Id of the customer the contact belongs to

isPrimaryContact
boolean
Default: false

Indicates whether the contact is the primary contact.

phoneNumber
string or null

Phone number of the contact. Unallowed characters: ', " and ASCII < 32

mobileNumber
string or null

Mobile number of the customer. Unallowed characters: ', " and ASCII < 32

emailAddresses
Array of strings or null

Email address(es) of the contact. Unallowed characters: ', " and ASCII < 32

Responses

Request samples

Content type
application/json
{
  • "name": "string",
  • "customerId": "string",
  • "isPrimaryContact": false,
  • "phoneNumber": "string",
  • "mobileNumber": "string",
  • "emailAddresses": [
    ]
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "name": "string",
  • "customerName": "string",
  • "isPrimaryContact": true,
  • "phoneNumber": "string",
  • "mobileNumber": "string",
  • "emailAddresses": [
    ]
}

Update a contact

Authorizations:
Api-Key-HeaderClient-Id-Header
path Parameters
id
required
string
Example: 10 or 1abc

Unique identifier

Request Body schema: application/merge-patch+json
required
name
string

Name of the contact. Unallowed characters: ', " and ASCII < 32

isPrimaryContact
boolean

Indicates whether the contact is the primary contact.

phoneNumber
string or null

Phone number of the contact. Unallowed characters: ', " and ASCII < 32

mobileNumber
string or null

mobile number of the customer. Unallowed characters: ', " and ASCII < 32

emailAddresses
Array of strings or null

Email address(es) of the contact. Unallowed characters: ', " and ASCII < 32

Responses

Request samples

Content type
application/merge-patch+json
{
  • "name": "string",
  • "isPrimaryContact": true,
  • "phoneNumber": "string",
  • "mobileNumber": "string",
  • "emailAddresses": [
    ]
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "name": "string",
  • "customerName": "string",
  • "isPrimaryContact": true,
  • "phoneNumber": "string",
  • "mobileNumber": "string",
  • "emailAddresses": [
    ]
}

Delete a contact by id

Authorizations:
Api-Key-HeaderClient-Id-Header
path Parameters
id
required
string
Example: 10 or 1abc

Unique identifier

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "status": 0,
  • "errors": [
    ],
  • "message": "string"
}

Get a contact by the provided contact id (real time)

Authorizations:
Api-Key-HeaderClient-Id-Header
path Parameters
contactId
required
string

Id of the contact.

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "name": "string",
  • "customerName": "string",
  • "isPrimaryContact": true,
  • "phoneNumber": "string",
  • "mobileNumber": "string",
  • "emailAddresses": [
    ]
}

Get a contact by the provided customer id and contact id (real time)

Authorizations:
Api-Key-HeaderClient-Id-Header
path Parameters
customerId
required
string

The id of customer to retrieve.

contactId
required
string

The id of customer contact to retrieve.

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "name": "string",
  • "customerName": "string",
  • "isPrimaryContact": true,
  • "phoneNumber": "string",
  • "mobileNumber": "string",
  • "emailAddresses": [
    ]
}

Customer

Create a customer

Authorizations:
Api-Key-HeaderClient-Id-Header
Request Body schema: application/json
required

The customer to create

clientCode
string or null

Client code of the customer.

name
string

Name of the customer. Unallowed characters: ', " and ASCII < 32

object (PostalAddress)
object (OutageContactInformation)
object (CommunicationSettings)

Contains the communication settings in case of planned work.

object or null

Only accepts the following key:

  • ExternalReference

Responses

Request samples

Content type
application/json
{
  • "clientCode": "string",
  • "name": "string",
  • "postalAddress": {
    },
  • "outageContactInformation": {
    },
  • "communicationSettings": {
    },
  • "additionalInformation": {
    }
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "name": "string",
  • "postalAddress": "string",
  • "emailAddresses": [
    ],
  • "phoneNumber": "string",
  • "callBefore": true,
  • "callAfter": true,
  • "emailBefore": true,
  • "emailAfter": true,
  • "correspondInDutch": true,
  • "additionalInformation": {
    }
}

Get a customer by the provided contact id (real time)

Authorizations:
Api-Key-HeaderClient-Id-Header
path Parameters
id
required
string
Example: 10 or 1abc

Unique identifier

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "name": "string",
  • "postalAddress": "string",
  • "emailAddresses": [
    ],
  • "phoneNumber": "string",
  • "callBefore": true,
  • "callAfter": true,
  • "emailBefore": true,
  • "emailAfter": true,
  • "correspondInDutch": true,
  • "additionalInformation": {
    }
}

Update a customer

Authorizations:
Api-Key-HeaderClient-Id-Header
path Parameters
id
required
string
Example: 10 or 1abc

Unique identifier

Request Body schema: application/json
required

The customer to update

clientCode
string or null

Client code of the customer.

name
string

Name of the customer. Unallowed characters: ', " and ASCII < 32

object (PostalAddress)
object (OutageContactInformation)
object (CommunicationSettings)

Contains the communication settings in case of planned work.

object or null

Only accepts the following key:

  • ExternalReference

Responses

Request samples

Content type
application/json
{
  • "clientCode": "string",
  • "name": "string",
  • "postalAddress": {
    },
  • "outageContactInformation": {
    },
  • "communicationSettings": {
    },
  • "additionalInformation": {
    }
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "name": "string",
  • "postalAddress": "string",
  • "emailAddresses": [
    ],
  • "phoneNumber": "string",
  • "callBefore": true,
  • "callAfter": true,
  • "emailBefore": true,
  • "emailAfter": true,
  • "correspondInDutch": true,
  • "additionalInformation": {
    }
}

Delete a customer

Authorizations:
Api-Key-HeaderClient-Id-Header
path Parameters
id
required
string
Example: 10 or 1abc

Unique identifier

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "status": 0,
  • "errors": [
    ],
  • "message": "string"
}

Customer contract

Create a new contract

Authorizations:
Api-Key-HeaderClient-Id-Header
Request Body schema: application/json
required
name
string

Name of the customer contract

customerId
string

Id of the customer the contract is related to

contactIds
Array of strings or null

The contact Id's regarding this contract.

startDate
string or null <date>

The start date of the contract.

endDate
string or null <date>

The end date of the contract.

owner
string or null

The owner of the contract.

comment
string

Comment. Unallowed characters: ', " and ASCII < 32

other
string or null

Other information.

servicePriority
string or null

The priority of this service

allowDivergentPriority
boolean

Allow the priority of the provided service to divert from its set priority

contractTypeName
string

Name of the type of the contract

Responses

Request samples

Content type
application/json
{
  • "name": "string",
  • "customerId": "string",
  • "contactIds": [
    ],
  • "startDate": "2019-08-24",
  • "endDate": "2019-08-24",
  • "owner": "string",
  • "comment": "string",
  • "other": "string",
  • "servicePriority": "string",
  • "allowDivergentPriority": true,
  • "contractTypeName": "string"
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "name": "string",
  • "customerName": "string",
  • "owner": "string",
  • "startDate": "2019-08-24",
  • "endDate": "2019-08-24",
  • "remarks": "string",
  • "additionalInformation": "string",
  • "contacts": [
    ]
}

Get a customer contract by the provided contract id (real time)

Authorizations:
Api-Key-HeaderClient-Id-Header
path Parameters
id
required
string
Example: 10 or 1abc

Unique identifier

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "name": "string",
  • "customerName": "string",
  • "owner": "string",
  • "startDate": "2019-08-24",
  • "endDate": "2019-08-24",
  • "remarks": "string",
  • "additionalInformation": "string",
  • "contacts": [
    ]
}

Update a customer contract

Authorizations:
Api-Key-HeaderClient-Id-Header
path Parameters
id
required
string
Example: 10 or 1abc

Unique identifier

Request Body schema: application/merge-patch+json
required
name
string

Name of the customer contract

contactIds
Array of strings

The contact id's regarding this contract.

startDate
string or null <date>

The start date of the contract.

endDate
string or null <date>

The end date of the contract.

owner
string or null

The owner of the contract.

comment
string

Comment.

other
string or null

Other information.

allowDivergentPriority
boolean

Allow the priority of the provided service to divert from its set priority

contractTypeName
string

Name of the type of the contract

Responses

Request samples

Content type
application/merge-patch+json
{
  • "name": "string",
  • "contactIds": [
    ],
  • "startDate": "2019-08-24",
  • "endDate": "2019-08-24",
  • "owner": "string",
  • "comment": "string",
  • "other": "string",
  • "allowDivergentPriority": true,
  • "contractTypeName": "string"
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "name": "string",
  • "customerName": "string",
  • "owner": "string",
  • "startDate": "2019-08-24",
  • "endDate": "2019-08-24",
  • "remarks": "string",
  • "additionalInformation": "string",
  • "contacts": [
    ]
}

Delete a contract by id.

Authorizations:
Api-Key-HeaderClient-Id-Header
path Parameters
id
required
string
Example: 10 or 1abc

Unique identifier

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "status": 0,
  • "errors": [
    ],
  • "message": "string"
}

Delayed connection

Create a delayed connection for a building

Authorizations:
Api-Key-HeaderClient-Id-Header
path Parameters
id
required
string
Request Body schema: application/json
frameName
string or null

Short name of the frame

terminationUnitType
string or null

Name of the fiber termination unit type that is placed in the frame

attenuation1
number <double>

First attenuation

attenuation2
number <double>

Second attenuation

installationCompanyName
string or null

Name of the installation company

object (LineString)

GeoJSon geometry

isWithoutGeometry
boolean

Specifies that the newRoute value is intentionally omitted

Responses

Request samples

Content type
application/json
{
  • "frameName": "string",
  • "terminationUnitType": "string",
  • "attenuation1": 0.1,
  • "attenuation2": 0.1,
  • "installationCompanyName": "string",
  • "newRoute": {
    },
  • "isWithoutGeometry": true
}

Response samples

Content type
application/json
{
  • "buildingId": "string",
  • "cableId": "string",
  • "frameId": "string",
  • "patchPosition1Id": "string",
  • "patchPosition2Id": "string"
}

Create a delayed connection

Authorizations:
Api-Key-HeaderClient-Id-Header
Request Body schema: application/json
frameName
string or null

Name of the frame

terminationUnitType
string or null

Name of the fiber termination unit type that is placed in the frame

attenuation1
number <double>

First attenuation

attenuation2
number <double>

Second attenuation

installationCompanyName
string or null

Name of the installation company

object (LineString)

GeoJSon geometry

isWithoutGeometry
boolean

Specifies that the newRoute value is intentionally omitted

buildingName
string or null

Building name

Responses

Request samples

Content type
application/json
{
  • "frameName": "string",
  • "terminationUnitType": "string",
  • "attenuation1": 0.1,
  • "attenuation2": 0.1,
  • "installationCompanyName": "string",
  • "newRoute": {
    },
  • "isWithoutGeometry": true,
  • "buildingName": "string"
}

Response samples

Content type
application/json
{
  • "buildingId": "string",
  • "cableId": "string",
  • "frameId": "string",
  • "patchPosition1Id": "string",
  • "patchPosition2Id": "string"
}

Get status details for a delayed connections batch operation

Authorizations:
Api-Key-HeaderClient-Id-Header
path Parameters
id
required
string
Example: 10 or 1abc

Unique identifier

Responses

Response samples

Content type
application/json
{
  • "batchId": "string",
  • "status": "string",
  • "success": [
    ],
  • "failure": [
    ],
  • "pending": [
    ]
}

Register a batch to create multiple delayed connections

Authorizations:
Api-Key-HeaderClient-Id-Header
Request Body schema: application/json
installationCompanyName
string or null

Installation company that applies to all jobs in the batch

Array of objects or null (DelayedConnectionRequestShort)

Batch of delayed connections

Responses

Request samples

Content type
application/json
{
  • "installationCompanyName": "string",
  • "delayedConnections": [
    ]
}

Response samples

Content type
application/json
{
  • "batchId": "string"
}

Project asset approval

Create a project asset approval

Authorizations:
Api-Key-HeaderClient-Id-Header
Request Body schema: application/json
projectName
string or null

Name of the project this asset is part of and approved for

timestamp
string <date-time>

Date and time of the moment of approval

approver
string or null

Name of the original approver

object (AssetApproval)

Responses

Request samples

Content type
application/json
{
  • "projectName": "string",
  • "timestamp": "2019-08-24T14:15:22Z",
  • "approver": "string",
  • "assetApproval": {
    }
}

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "status": 0,
  • "errors": [
    ],
  • "message": "string"
}